OgreUnifiedHighLevelGpuProgram.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreHighLevelGpuProgram.h"`
`#include "OgreHighLevelGpuProgramManager.h"`

Go to the source code of this file.

## Classes

class | Ogre::UnifiedHighLevelGpuProgram
| Specialisation of HighLevelGpuProgram which just delegates its implementation to one other high level program, allowing a single program definition to represent one supported program from a number of options. More...
class | Ogre::UnifiedHighLevelGpuProgram::CmdDelegate
| Command object for setting delegate (can set more than once) More...
class | Ogre::UnifiedHighLevelGpuProgramFactory
| Factory class for Unified programs. More...

## Namespaces

namespace | Ogre

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:25